﻿body{
  background-color: lightgrey;
  font-family: sans-serif;
}

.container {
    margin: auto;
    background-color: lightgrey;
    width: 100%;
    height 100%;
    padding: 30px;
}

ul, li {
    padding: 0;
    margin: 0;
    list-style: none;
}

ul.slider{
  position: relative;
  width: 800px;
  height: 300px;
}

ul.slider li {
    position: absolute;
    left: 0px;
    top: 0px;
    opacity: 0;
    width: inherit;
    height: inherit;
    transition: opacity .5s;
    background:#fff;
}
ul.slider li img{
  width: 100%;
  height: 300px;
  object-fit: cover;
}

ul.slider li:first-child {
    opacity: 1; /*Mostramos el primer <li>*/
}

ul.slider li:target {
    opacity: 1; /*Mostramos el <li> del enlace que pulsemos*/
}

.menu{
  text-align: center;
  margin: 10px;
}

.menu li{
  display: inline-block;
  text-align: center;
}

.menu li a{
  display: inline-block;
  color: white;
  text-decoration: none;
  background-color: grey;
  padding: 1px;
  width: 10px;
  height: 10px;
  font-size: 8px;
  border-radius: 100%;
}

.boton-signOut {
    display: inline-block;
    font-weight: 400;
    font-size: 1rem;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 1px solid transparent;
    padding: .375rem .75rem;
    line-height: 1.5;
    border-radius: .25rem;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.boton-RepGenerico {
    --reach-tabs: 1;
    --reach-menu-button: 1;
    -webkit-font-smoothing: antialiased;
    pointer-events: auto;
    -webkit-tap-highlight-color: transparent;
    overflow: visible;
    margin: 0;
    font-weight: 400;
    font-family: sohne, "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 14px;
    line-height: 20px;
    padding: 7px 16px 9px;
    border-color: rgba(26, 137, 23, 1);
    border-radius: 99em;
    border-width: 1px;
    border-style: solid;
    box-sizing: border-box;
    display: inline-block;
    text-decoration: none;
    color: rgba(255, 255, 255, 1);
    fill: rgba(255, 255, 255, 1);
    background: rgba(26, 137, 23, 1);
}

.marca-de-agua {
    background-image: url("../imagenes/cadena/fondoSPD0.png");
    background-repeat: no-repeat;
    background-position: center;
    background-attachment:fixed;
    width: 100%;
    height: auto;
    margin: auto;
}

.marca-de-agua img {
    padding: 0;
    width: 100%;
    height: auto;
    opacity: 50;
}


/*************************************************************
****   FORMATOS PARA LA APPWEB CONECTADA A UNA PAGINA WEB ****
**************************************************************/
.web_icon {
    /* Formato para el iconos usados en la AppWeb */
    color: #063489;
    position: relative;
}
    .web_icon.white {
        color: rgb(255 255 255 / 97%)
    }
    /* Tamaños */
    .web_icon.x16 {
        width: 16px;
        height: 16px;
    }
    .web_icon.x24 {
        width:  24px;
        height: 24px;
    }
    .web_icon.x32 {
        width:  32px;
        height: 32px;
    }
    .web_icon.x48 {
        width:  48px;
        height: 48px;
    }
    /* Segun su accion */
    .web_icon.login {
        /* Desde ventana Login*/
    }
    .web_icon.home {
        /* lINK "HOME" o retorno a la pagina web del cliente */
    }
    .web_icon.print {
        /* link "PRINTER" o imprimir reporte*/
    }
    .web_icon.email {
        /* lINK "EMAIL" o enviar correo elect.*/
    }
    .web_icon.expand {
        /* lINK "Expandir" el reporte a ventana completa*/
    }


.web_etiq {
    /* Formato Label o etiquetas del color de la COMPAÑIA o CLIENTE*/
    color: #063489;
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
    margin: 0;
    text-decoration: none;
}
    .web_etiq.white {
        color: rgb(255 255 255 / 97%);
    }
    .web_etiq.peq {
        font-size: 14px;
    }
    .web_etiq.med {
        font-size: 1rem;
        font-weight: 400;
        line-height: 1.5;
    }
    .web_etiq.gde {
        font-size: 26px;
        font-weight: 600;
        line-height: 1.5;
    }
    .web_etiq.login {
        text-align: center;
        text-shadow: 2px 2px rgb(23 27 38 / 15%) !important;
    }
    .web_etiq.bottom {
        vertical-align: bottom;
    }

.web_input {
    /* Formato de los campos inputs (Ejm: usuario y password)*/
    background: 0 0;
    cursor: text;
    font-size: 1rem;
    outline: 0.0625rem solid transparent;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
    .web_input.login {
        border: 1px solid transparent;
        box-shadow: 0 2px 0 -1px #063489;
        padding: 0.375rem 0.75rem;
        width: 90%;
    }
    .web_input:focus {
        box-shadow: 0 0 0 0.2rem rgb(0 123 255 / 25%);
        border-radius: 0.25rem;
        background-position: -4.1875rem 7.8125rem
    }

.web_input2 {
    /* Formato (2da opcion) de los campos inputs (usuario y password) */
    display: block;
    width: 100%;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    width: 380px;
}

    .web_input2:focus {
        outline: auto;
        color: #495057;
        border-color: #cfcfcf;
        box-shadow: 0 0 0 0.2rem rgb(0 123 255 / 25%);
        font-size: 1rem;
        line-height: 1.5;
    }

.web_Login_fondo {
    /* IMAGEN DE FONDO VENTANA LOGIN de la App Web*/
    background-color: #063489;
    background-image: url("../../web/img/logIn_bkgrd.png");
    background-repeat: no-repeat;
    background-position: left top;
    background-attachment: fixed;
}

.web_login_tNvoLogin {
    /* Formato de la tabla q contiene los campos inputs (User y Password)*/
    align-content: center;
    background-color: rgb(255 255 255 / 98%);
    border-collapse: collapse;
    height: 318px;
    margin: auto;
    padding: 0;
    width: 454px;
    text-align: center;
    vertical-align: middle;
    opacity: 0.9;
}

.web_login_Logo {
    /* Formato de logo de la compañía q se muestra en la ventana login */
    width: 300px;
    height: 65px;
    align-self: center;
}

.web_login_boton {
    /* Formato (1era opcion) del boton Login (actualmente se utiliza es una imagen como boton)*/
    display: inline-block;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.web_login_boton2 {
    /* Formato (2da opcion) del boton Login (actualmente se utiliza es una imagen como boton)*/
    background-color: #D6D6D6;
    border: none;
    border-radius: 0.3125rem;
    box-sizing: border-box;
    color: #414042;
    cursor: pointer;
    font-size: 1rem;
    font-weight: normal;
    margin: 0.5rem;
    outline: 0.0625rem solid transparent;
    transition: background-color 0.4s ease, border-color 0.4s ease;
    text-align: center;
    vertical-align: middle;
    white-space: nowrap;
    /*background-color: #0A4386;*/
}

.web_login_botonReturn {
    /* Formato de boton de Return o Close de la ventana Login */
    width: 40px;
    height: 40px;
    position:relative;
    top:-10px;
    right:-10px;
}

